#include <iostream>
#include<fstream>
using namespace std;
int main()
{
	ifstream f1("doinp.inp");
	long long int n;
	long long int z=0;
	f1>>n;
	f1.close();
	ofstream f2("doinp.out");
	int f[70];
	for(int i=0;i<70;i++)
	{
		f[i]=n%2;
		n=n/2;
		if(n==0) break;
		else z++;
	}
	for(int k=z;k>=0;k--)
	{
		f2<<f[k];
	}
	return 0;
}
